- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# mksysb – Generates AIX mksysb rootvg backups

New in version 2.5.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module manages a basic AIX mksysb (image) of rootvg.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
backup_crypt_files boolean | Choices: no yes ← | Backup encrypted files.
backup_dmapi_fs boolean | Choices: no yes ← | Back up DMAPI filesystem files.
create_map_files boolean | Choices: no ← yes | Creates a new MAP files.
exclude_files boolean | Choices: no ← yes | Excludes files using `/etc/rootvg.exclude`.
exclude_wpar_files boolean | Choices: no ← yes | Excludes WPAR files.
extended_attrs boolean | Choices: no yes ← | Backup extended attributes.
name - / required |  | Backup name
new_image_data boolean | Choices: no yes ← | Creates a new file data.
software_packing boolean | Choices: no ← yes | Exclude files from packing option listed in `/etc/exclude_packing.rootvg`.
storage_path - / required |  | Storage path where the mksysb will stored.
use_snapshot boolean | Choices: no ← yes | Creates backup using snapshots.

## Examples

    - name: Running a backup image mksysb
      mksysb:
        name: myserver
        storage_path: /repository/images
        exclude_files: yes
        exclude_wpar_files: yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean added in 2.5 | always | Return changed for mksysb actions as true or false.
msg string added in 2.5 | always | Return message regarding the action.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kairo Araujo (@kairoaraujo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.